# CreateCidr

## 1. 接口描述

本接口(CreateCidr)用于创建IPv4 CIDR地址段。

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

| 参数名称             | 必选 | 类型                                                                                                          | 描述                                                                                                            |
| ---------------- | -- | ----------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------- |
| regionId         | 是  | String                                                                                                      | 节点ID。                                                                                                         |
| netmask          | 是  | [NetmaskInfo](https://docs.console.zenlayer.com/api-reference/cn/compute/datastructure#netmaskinfo)         | CIDR掩码、数量。                                                                                                    |
| eipV4Type \[已废弃] | 否  | [EipNetworkType](https://docs.console.zenlayer.com/api-reference/cn/compute/datastructure#eipnetworktype)   | <p>公网IPv4的网络类型。</p><p>已废弃，请使用<code>networkLineType</code>。</p>                                                |
| networkLineType  | 否  | [NetworkLineType](https://docs.console.zenlayer.com/api-reference/cn/compute/datastructure#networklinetype) | 公网IPv4的网络类型。                                                                                                  |
| name             | 否  | String                                                                                                      | <p>CIDR名称。</p><p>范围2到63个字符。</p><p>仅支持输入字母、数字、-/\_和英文句点(.)。</p><p>且必须以数字或字母开头和结尾。</p><p>默认会将分配的CIDR地址作为名称。</p> |
| resourceGroupId  | 否  | String                                                                                                      | <p>资源组ID。</p><p>如果不指定，则会加入默认资源组。</p>                                                                          |
| marketingOptions | 否  | [MarketingInfo](https://docs.console.zenlayer.com/api-reference/cn/compute/datastructure#marketinginfo)     | 市场营销相关的选项。                                                                                                    |
| tags             | 否  | [TagAssociation](https://docs.console.zenlayer.com/api-reference/cn/compute/datastructure#tagassociation)   | <p>创建CIDR时关联的标签。</p><p>注意：关联<code>标签键</code>不能重复。</p>                                                         |

## 3. 响应结果

| 参数名称      | 类型              | 描述                                                       |
| --------- | --------------- | -------------------------------------------------------- |
| requestId | String          | <p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 requestId。</p> |
| cidrIds   | Array of String | 创建的CIDR地址段ID列表。                                          |

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}
**1. 创建2个`/28`网段的BGP类型的CIDR。**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: CreateCidr
<Common Request Params>

Request：
{
  "regionId": "asia-east-1",
  "networkLineType": "PremiumBGP",
  "netmask": {
    "netmask": 28,
    "amount": 2
  }
}

Response：
{
  "requestId": "TBFC01FCF-6439-4530-ADBC-16809F0C3E8F",
  "response": {
    "requestId": "TBFC01FCF-6439-4530-ADBC-16809F0C3E8F",
    "cidrIds": ["cidrId1","cidrId2"]
  }
}
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[开发工具集（SDK）](https://docs.console.zenlayer.com/api-reference/cn/api-introduction/toolkit)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](https://docs.console.zenlayer.com/api-reference/cn/api-introduction/instruction/commonerrorcode)

| HTTP状态码 | 错误码                                              | 说明            |
| ------- | ------------------------------------------------ | ------------- |
| 400     | OPERATION\_DENIED\_EIP\_UNSUPPORT\_NETWORK\_TYPE | EIP网络计费方式不支持。 |
| 400     | OPERATION\_DENIED\_CIDR\_INSUFFICIENT            | CIDR库存不足。     |
| 400     | OPERATION\_DENIED\_CIDR\_IP\_COUNT\_REACH\_LIMIT | CIDR配额不足。     |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/cn/compute/zec/cidr-block/createcidr.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
